using System;
using NUnit.Framework;

namespace Smdn.Net.Imap4.Protocol {
  [TestFixture]
  public class ImapErrorResponseExceptionTests {
    [Test]
    public void TestSerializeBinary()
    {
      var ex = new ImapErrorResponseException();

      Assert.IsNull(ex.Result);

      TestUtils.Assert.IsSerializableBinaryFormat(ex, delegate(ImapErrorResponseException deserialized) {
        Assert.IsNull(deserialized.Result);
      });
    }
  }
}

